## AgsOpenSFZFile

AgsOpenSFZFile — open SFZ file

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOpenSFZFile * | ags_open_sfz_file_new ()

## Properties

AgsAudio * | audio | Read / Write
char * | filename | Read / Write
AgsSFZFile * | sfz-file | Read / Write
guint | start-pad | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsOpenSFZFile

## Includes

    #include <ags/audio/task/ags_open_sfz_file.h>

## Description

The AgsOpenSFZFile task opens SFZ file.

## Functions

### ags_open_sfz_file_new ()

    AgsOpenSFZFile *
    ags_open_sfz_file_new (AgsAudio *audio,
                           AgsSFZFile *sfz_file,
                           gchar *filename,
                           guint start_pad);

Creates an AgsOpenSFZFile.

#### Parameters

audio | the AgsAudio |
sfz_file | the AgsSFZFile or `NULL` |
filename | the Soundfont2 file |
start_pad | the pad start |

#### Returns

an new AgsOpenSFZFile.

Since: 3.4.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsOpenSFZFile

Flags: Read / Write

Since: 3.4.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenSFZFile

Flags: Read / Write

Default value: NULL

Since: 3.4.0

### The `“sfz-file”` property

      “sfz-file”                 AgsSFZFile *

The assigned AgsSFZFile

Owner: AgsOpenSFZFile

Flags: Read / Write

Since: 3.4.0

### The `“start-pad”` property

      “start-pad”                guint

The assigned start-pad.

Owner: AgsOpenSFZFile

Flags: Read / Write

Default value: 0

Since: 3.4.0